Subject: Re: Kernel 2.6 IPV6 Busted

From: Jeff Garzik <[email-masked]>
Date: Sun, 27 Feb 2005 13:12:14 -0500

Quantum Scientific wrote:
> After a week of intensive research and full-time study, it's become clear that 
> IPV6 support, as it comes in standard Linux 2.6 kernels, is effectively 
> non-functional.

Strange how I use this non-functional support every day.

> I have a properly working firewall, but it appears there is no stateful 
> filtering nor connection  tracking in the IPV6 stack.  I send out an 

> So is there something I'm missing?  Am I completely fscked-up when I say that 
> it doesn't work in practice, because there is no stateful packet filtering 
> nor connection tracking?

Yes.  IPv6 does not need NAT'ing.  Everyone should have a global 
address.  Connection tracking is not needed.

	Jeff